/*******************************************************************************
 * FoxWeaponAttachment_RandomBarricadeBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeaponAttachment_RandomBarricadeBase extends FoxWeaponAttachment_BarricadeBase
    config(Weapon)
    notplaceable
    hidecategories(Navigation);

var const array<MaterialInstanceConstant> RandomMICs;

simulated function SetupWeaponCamoMIC()
{
    local int I;

    CamoMICs.Length = 0;
    I = 0;
    J0x17:
    // End:0xB0 [Loop If]
    if(I < Mesh.GetNumElements())
    {
        CamoMICs.AddItem(RandomMICs[Rand(RandomMICs.Length)]);
        Mesh.SetMaterial(I, CamoMICs[I]);
        ++ I;
        // [Loop Continue]
        goto J0x17;
    }
    //return;    
}

simulated function SetupWeaponCamo()
{
    //return;    
}

defaultproperties
{
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_RandomBarricadeBase.AttachmentMesh'
    Mesh=AttachmentMesh
    MuzzleFlashLight=PointLightComponent'Default__FoxWeaponAttachment_RandomBarricadeBase.LightComponent0'
    begin object name=LensComp class=LensFlareComponent
        NextTraceTime=-0.78875090
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxWeaponAttachment_RandomBarricadeBase.LensComp'
    MuzzleLensFlare=LensComp
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_RandomBarricadeBase.AttachmentMesh'
    Components(0)=AttachmentMesh
}